<link rel="import" href="/extern/bower_components/polymer/polymer.html">

<dom-module id="tree-button">
  <template>
    <style>
      :host {
        display: inline-block;
        width: 18px;
        height: 18px;
      }
      #plusline {
        opacity: 1;
        transition: opacity 200ms;
      }
      :host([closed]) #plusline {
        opacity: 0;
      }
      svg {
        stroke: var(--primary-color, black);
      }
    </style>

    <svg viewBox="0 0 18 18">
      <g id="Shape1">
          <desc shapeID="1" type="0" basicInfo-basicType="4" basicInfo-roundedRectRadius="12" basicInfo-polygonSides="6" basicInfo-starPoints="5" bounding="rect(-8.98416,-8.98416,17.9683,17.9683)" text="" font-familyName="Helvetica" font-pixelSize="20" font-bold="0" font-underline="0" font-alignment="1" strokeStyle="0" markerStart="0" markerEnd="0" shadowEnabled="0" shadowOffsetX="0" shadowOffsetY="2" shadowBlur="4" shadowOpacity="160" blurEnabled="0" blurRadius="4" transform="matrix(0.947477,0,0,0.94678,8.96229,9.03072)" pers-center="0,0" pers-size="0,0" pers-start="0,0" pers-end="0,0" locked="0" mesh="" flag=""/>
          <path id="shapePath1" d="M0.45,9.03071 C0.450002,4.33297 4.26108,0.524693 8.96229,0.524695 C13.6635,0.524695 17.4746,4.33297 17.4746,9.03072 C17.4746,13.7285 13.6635,17.5367 8.96229,17.5367 C4.26108,17.5367 0.45,13.7285 0.45,9.03071 Z" style="stroke-opacity:1;stroke-width:1;stroke-linejoin:miter;stroke-miterlimit:2;stroke-linecap:round;fill:none;"/>
      </g>
      <g id="Shape2">
          <desc shapeID="2" type="0" basicInfo-basicType="0" basicInfo-roundedRectRadius="12" basicInfo-polygonSides="6" basicInfo-starPoints="5" bounding="rect(-4.9125,0,9.825,0)" text="" font-familyName="Helvetica" font-pixelSize="20" font-bold="0" font-underline="0" font-alignment="1" strokeStyle="0" markerStart="0" markerEnd="0" shadowEnabled="0" shadowOffsetX="0" shadowOffsetY="2" shadowBlur="4" shadowOpacity="160" blurEnabled="0" blurRadius="4" transform="matrix(1,0,0,0.0968748,8.96229,9.03072)" pers-center="0,0" pers-size="0,0" pers-start="0,0" pers-end="0,0" locked="0" mesh="" flag=""/>
          <path id="shapePath2" d="M4.04979,9.03072 L13.8748,9.03072 " style="stroke-opacity:1;stroke-width:2;stroke-linejoin:miter;stroke-miterlimit:2;stroke-linecap:round;fill:none;"/>
      </g>
      <g id="plusline">
          <desc shapeID="3" type="0" basicInfo-basicType="0" basicInfo-roundedRectRadius="12" basicInfo-polygonSides="6" basicInfo-starPoints="5" bounding="rect(-4.9125,0,9.825,0)" text="" font-familyName="Helvetica" font-pixelSize="20" font-bold="0" font-underline="0" font-alignment="1" strokeStyle="0" markerStart="0" markerEnd="0" shadowEnabled="0" shadowOffsetX="0" shadowOffsetY="2" shadowBlur="4" shadowOpacity="160" blurEnabled="0" blurRadius="4" transform="matrix(-0.00851247,0.999964,-0.0968713,-0.000824644,8.96229,9.03071)" pers-center="0,0" pers-size="0,0" pers-start="0,0" pers-end="0,0" locked="0" mesh="" flag=""/>
          <path id="shapePath3" d="M9.00411,4.1184 L8.92047,13.943 " style="stroke-opacity:1;stroke-width:2;stroke-linejoin:miter;stroke-miterlimit:2;stroke-linecap:round;fill:none;"/>
      </g>
    </svg>

  </template>
  <script>
    Polymer({
      is: 'tree-button',
      properties: {
        closed: {
          type: Boolean,
          value: false,
          reflectToAttribute: true
        }
      }
    });
  </script>
</dom-module>
